Bug 227049 - Review Request: dom4j-1.6.1-2jpp - DOM4J
Review Request: dom4j-1.6.1-2jpp - DOM4J
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nuno Santos
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-02 12:32 EST by Rafael H. Schloming
Modified: 2014-12-01 18:13 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-12 11:25:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
overholt: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rafael H. Schloming 2007-02-02 12:32:59 EST
Spec URL: http://people.redhat.com/rafaels/specs/dom4j-1.6.1-2jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/dom4j-1.6.1-2jpp.src.rpm
Description: dom4j is an Open Source XML framework for Java. dom4j allows you to read,
write, navigate, create and modify XML documents. dom4j integrates with
DOM and SAX and is seamlessly integrated with full XPath support.

Samples for dom4j.

Documentation for dom4j.

Javadoc for dom4j.
Comment 1 Tania Bento 2007-02-14 14:44:34 EST
Note:  When I did a rpmbuild, I had to disable the tests because one of them was
failing.  This needs to be fixed.

MUST:

X package is named appropriately	 	
 - match upstream tarball or project name
 - try to match previous incarnations in other distributions/packagers for
consistency
 - specfile should be %{name}.spec
 - non-numeric characters should only be used in Release (ie. cvs or
   something)
 - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
 - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
--> Should be 0:1.6.1-2jpp.1%{?dist}. 

* is it legal for Fedora to distribute this?
 - OSI-approved
--> Okay.

* license field matches the actual license.
--> Okay.

* license is open source-compatible.
 - use acronyms for licences where common
--> Okay.

* specfile name matches %{name}
--> Okay.

* verify source and patches (md5sum matches upstream, know what the patches do)
 - if upstream doesn't release source drops, put *clear* instructions on
   how to generate the the source drop; ie. 
  # svn export blah/tag blah
  # tar cjf blah-version-src.tar.bz2 blah
--> Doesn't apply.

* skim the summary and description for typos, etc.
--> Okay.

X correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
--> This needs to be fixed.

X if %{?dist} is used, it should be in that form (note the ? and %
locations)
--> See above.

X license text included in package and marked with %doc
--> Currently, this is not the case.  Under %files, we have
"%{_docdir}/%{name}-%{version}/LICENSE.txt".  Should we change that to "%doc
%{_docdir}/%{name}-%{version}/LICENSE.txt" or simply "%doc LICENSE.txt"??

* keep old changelog entries; use judgement when removing (too old?
useless?)
--> Okay.

* packages meets FHS (http://www.pathname.com/fhs/)
--> Okay.

X rpmlint on <this package>.srpm gives no output
 - justify warnings if you think they shouldn't be there
--> W: dom4j non-standard-group Text Processing/Markup/XML
    W: dom4j strange-permission dom4j_rundemo.sh 0755
    W: dom4j mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 85)


* changelog should be in one of these formats:

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> - 0.6-4
  - And fix the link syntax.

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> 0.6-4
  - And fix the link syntax.

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com>
  - 0.6-4
  - And fix the link syntax.
--> Okay.

* Packager tag should not be used
--> Okay.

X Vendor tag should not be used
--> Remove %Vendor.

X Distribution tag should not be used
--> Remove %Distribution.

* use License and not Copyright 
--> Okay.

* Summary tag should not end in a period
--> Okay.

* if possible, replace PreReq with Requires(pre) and/or Requires(post)
--> Okay.

* specfile is legible
 - this is largely subjective; use your judgement
--> Okay.

X package successfully compiles and builds on at least x86
--> I made a note of this at the top.  

* BuildRequires are proper
 - builds in mock will flush out problems here
 - the following packages don't need to be listed in BuildRequires:
   bash
   bzip2
   coreutils
   cpio
   diffutils
   fedora-release (and/or redhat-release)
   gcc
   gcc-c++
   gzip
   make
   patch
   perl
   redhat-rpm-config
   rpm-build
   sed
   tar
   unzip
   which
--> Okay.

X summary should be a short and concise description of the package
--> %Summary should not be the name of the package.

* description expands upon summary (don't include installation
instructions)
--> Okay.

X make sure lines are <= 80 characters
--> Some lines have more than 80 characters on them.

* specfile written in American English
--> Okay.

* make a -doc sub-package if necessary
 - see
  
http://fedoraproject.org/wiki/Packaging/Guidelines#head-9bbfa57478f0460c6160947a6bf795249488182b
--> Okay.

* packages including libraries should exclude static libraries if possible
--> Okay.

* don't use rpath
--> Okay.

* config files should usually be marked with %config(noreplace)
--> Okay.

* GUI apps should contain .desktop files
--> Okay.

* should the package contain a -devel sub-package?
--> Okay.

* use macros appropriately and consistently
 - ie. %{buildroot} and %{optflags} vs. $RPM_BUILD_ROOT and $RPM_OPT_FLAGS
--> Okay.

* don't use %makeinstall
--> Okay.

* locale data handling correct (find_lang)
 - if translations included, add BR: gettext and use %find_lang %{name} at the
   end of %install
--> Okay.

* consider using cp -p to preserve timestamps
--> Okay.

* split Requires(pre,post) into two separate lines
--> Okay.

* package should probably not be relocatable
--> Okay.

* package contains code
 - see http://fedoraproject.org/wiki/Packaging/Guidelines#CodeVsContent
 - in general, there should be no offensive content
--> Okay.

* package should own all directories and files
--> Okay.

* there should be no %files duplicates
--> Okay.

* file permissions should be okay; %defattrs should be present
--> Okay.

* %clean should be present
--> Okay.

X %doc files should not affect runtime
--> Since I was not able to do a rpmbuild, I was not able to check this.

* if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
--> Okay.

X verify the final provides and requires of the binary RPMs
--> Since I was not able to do a rpmbuild, I was not able to check this.  

X run rpmlint on the binary RPMs
--> Since I was not able to do a rpmbuild, I was not able to check this.


SHOULD:

X package should include license text in the package and mark it with %doc
--> See above.

X package should build on i386
--> See above. 

X package should build in mock
--> This needs to be done.


One other thing to be fixed: remove "define section free".
Comment 2 Jeff Johnston 2007-02-16 17:36:16 EST
All comments addressed.  There are minor warnings on rpmlint for no
documentation in demo rpm and a strange permissions for .sh file in src rpm. 
These are ok.

http://www.vermillionskye.com/downloads/dom4j-1.6.1-2jpp.1.src.rpm
http://www.vermillionskye.com/donwloads/dom4j.spec
Comment 3 Jeff Johnston 2007-03-12 16:34:52 EDT
Oops, please see corrected http for spec file below:

http://www.vermillionskye.com/downloads/dom4j.spec
Comment 4 Deepak Bhole 2007-03-12 21:30:32 EDT
I have used Jeff's spec file from above, and fixed the BR's/R's to use the new
jaxp 1.2 apis package. The package was built in mock and it builds fine.

http://people.redhat.com/dbhole/fedora/dom4j/dom4j.spec
http://people.redhat.com/dbhole/fedora/dom4j/dom4j-1.6.1-2jpp.1.fc7.src.rpm
Comment 5 Andrew Overholt 2007-03-13 16:59:55 EDT
1. I still can't build this.  Is it possible to get all the BRs into rawhide
before we approve this?

2. I'd like a better Summary

3. $ rpmlint dom4j-1.6.1-2jpp.1.fc7.src.rpm 
W: dom4j strange-permission dom4j_rundemo.sh 0755

Everything else looks fine.
Comment 6 Deepak Bhole 2007-03-13 19:55:32 EDT
1. What error do you get? I just retried it.. 

   a. Downloaded the above srpm
   b. used mock --debug <srpm>

   And it built fine for me..

2. Updated to "Open Source XML framework for Java"

3. No idea why it is 'strange'. That is an executable script, and 
   0755=rwxr-xr-x. Maybe it is complaining because that is the permission in the
   SOURCES/ dir itself, but I don't think that that poses any problems



Comment 7 Andrew Overholt 2007-03-15 12:46:09 EDT
I am trying to build on my rawhide box.  All dependencies are now ready except
jaxen-bootstrap.  I am rebuilding it and its missing dependencies locally to
verify that it builds.
Comment 8 Andrew Overholt 2007-03-15 12:56:41 EDT
The icu4j issue is blocking me building this.  Otherwise, we're good to go.
Comment 9 Andrew Overholt 2007-03-19 10:36:13 EDT
Is icu4j done yet?
Comment 10 Andrew Overholt 2007-03-19 10:59:20 EDT
It appears that icu4j is now ready to go.  This is now approved.

Thanks, Jeff.
Comment 11 Deepak Bhole 2007-03-19 12:05:50 EDT
New Package CVS Request
=======================
Package Name: dom4j
Short Description: Open Source XML framework for Java
Owners: nsantos@redhat.com
Branches: devel
CC: dbhole@redhat.com
Comment 12 Hans de Goede 2011-07-19 10:17:35 EDT
Package Change Request
======================
Package Name: dom4j
New Branches: el6
Owners: s4504kr

Jochen Schmitt would like to maintain an el6 branch of dom4j, and that is fine by me (the Fedora owner).
Comment 13 Jon Ciesla 2011-07-19 10:29:13 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.